newt (0.52.21-4) unstable; urgency=medium

  * Switch from sgmltools-lite to docbook-utils for py2, sgmltools orphaned.
    Closes: #946880
  * Standards-Version: 4.4.1.0

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 17 Dec 2019 07:32:55 +0000

newt (0.52.21-3) unstable; urgency=medium

  * Move to Standards-Version: 4.4.0
  * Drop reference to libpython-dev. Closes: #937133
  * Use debhelper-compat (= 12)
  * Drop --add-udeb in dh_makeshlibs, for dh 12

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Sep 2019 16:59:14 +0100

newt (0.52.21-2) unstable; urgency=medium

  * Standards-Version: 4.3.0
  * Drop python-newt for python2 transition

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 14 Jul 2019 12:14:59 +0100

newt (0.52.21-1) unstable; urgency=medium

  * New upstream release
  * Use debhelper 12
  * example files now ship in ./ not ./build-tree/*/*§

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 16 Jun 2019 13:56:51 +0100

newt (0.52.20-8) unstable; urgency=medium

  * Don't ship /etc/newt/palette.original. Closes: #909030

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 27 Sep 2018 12:36:41 +0100

newt (0.52.20-7) unstable; urgency=medium

  * Standards-Version: 4.2.1; no changes required
  * Don't hard-code Automake version. Closes: #908739
  * Grammar fix in description. Closes: #908740
  * Close vcs reference bug. Closes: #572753
  * Delete old palette.original files, too. Closes: #784390

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 17 Sep 2018 13:58:51 +0100

newt (0.52.20-6) unstable; urgency=medium

  * Bump automake version to 1.16. Closes: #906494
  * Standards=Version: 4.2.0; no changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 18 Aug 2018 17:32:23 +0100

newt (0.52.20-5) unstable; urgency=medium

  * Drop ancient X-Python*-Version statements from d/control
  * Standards-Version: 4.1.4; no changes required
  * Rebuild against python3.7

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 28 Jun 2018 09:50:38 +0100

newt (0.52.20-4) unstable; urgency=medium

  * Drop Priority: important for whiptail, to minimize system size.
    Closes: #893563
  * Replace dependency of newt-tcl from tcl8.3 | tcl8.4 | tcl8.5 to tcl8.6
    since the package is built using Tcl 8.6. Closes: #893136
  * Minor corrections to whiptail.1 by Bjarni Ingi Gislason. 
    Closes: #890044
  * Drop references to obsolete dbg packages, dependencies

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Mar 2018 13:07:22 +0000

newt (0.52.20-3) unstable; urgency=medium

  * Create udeb. Closes: #871033
  * Update watch file to look at releases.pagure.io
  * Delete obsolete patches
  * Set VCS to salsa.debian.org/mckinstry/newt

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 07 Mar 2018 15:31:56 +0000

newt (0.52.20-2) unstable; urgency=medium

  * Standards-Version: 4.1.3
  * Drop Priority: extra in favour of optional
  * Drop Priority: important on lib package
  * Drop dh-autoconf, autoconf B-D as automatic on DH 10
  * Change homepage to https://pagure.io/newt
  * Drop broken VCS-Git
  * Drop obsolete pre-depends
  * Drop obsolete alternatives. Closes: #868056
  * Delete old /etc/newt/palette if left over on previous install
  * Fix fail-to-crossbuild due to Python dependencies.
    Thanks to Helmut Grohe. Closes: #888300

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 30 Jan 2018 08:46:27 +0000

newt (0.52.20-1) unstable; urgency=medium

  * New upstream release. Closes: #847729

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 May 2017 11:53:05 +0100

newt (0.52.19-1) unstable; urgency=medium

  * New upstream release
    - refresh patches. Lanugage patches merged upstream
  * DH_COMPAT=10, with debhelper depends updated
  * Standards-Version now 3.9.8
  * Remove -dbg packages in favour of autogenerated -dbgsym packages

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 15 Oct 2016 09:00:06 +0100

newt (0.52.18-2) unstable; urgency=medium

  * bidi.patch: Look for libfribidi in multi-arch directory.
    Closes: #794691
  * Add comments to all patches.
  * debhelper >= 9.20141010 required for multstage build
  * Remove obsolete conffile. Closes: #793690
  * Ack. bugs fixed in older versions: Closes: #351367, #714786, #5799412.
  * Make python-* extensions Multi-Arch: same
  * Add dh-python to Build-Depends.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 29 Dec 2015 10:21:48 +0000

newt (0.52.18-1) unstable; urgency=medium

  * New upstream release. 
  * Patch from Helmut Grohne to enable stage1 build profile
    without python. Closes: #757100.
  * Standards-Version: 3.9.6
  * Patch from Peter Simon correcting whiptail manpage. Closes: #745238
  * Patch from Matthias Klose for python3.5 transition. Closes: #793575.
  * Fix missing examples. Closes: #714783
  * Typos in whiptail.1; Closes: #772142, #773298.
  * Move bash_completions.d to /usr/share/bash-completion/completions

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Jul 2015 15:12:33 +0100

newt (0.52.17-1) unstable; urgency=medium

  * Move to new release 0.5.17.
   - snackmodule now renamed 'snack' in python, tclsh.
   - python3 now in upstream. Remove patch.
  * Now Standards-Version: 3.9.5 
  * Use 'xz' compression. 
  * Add bash completion to whiptail. 
  * Mark whiptail as 'Mult-Arch: foreign'. Closes:#750767. 
  * Add bash_completion for whiptail.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Jun 2014 09:38:39 +0100

newt (0.52.15-3) unstable; urgency=low

  * Fix handling of alternatives for /etc/newt/palette in M-A package
    libnewt0.52. CLoses: #718635

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Sep 2013 16:27:24 +0100

newt (0.52.15-2) unstable; urgency=low

  * Ensure unowned files get removed on purge.( /etc/newt/palette).
    Closes: #709194. 
  * Fix FTBFS with new automake-1.13.
  * Add symbols file for libnewt0.52.15

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 06 Jun 2013 14:28:50 +0100

newt (0.52.15-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version: 3.9.4
  * Build against tcl8.6-dev 
  * Build python3 modules. Closes: #691240
  * Update patches; latvian patch now merged upstream.
  * M-A, round two: patch to run msgfmt --endianness little to force
    .mo files to be identical. Now lib* package can be Multi-Arch: same
  * The python-newt-dbg and python3-newt-dbg packages conflict as they
    ship the same debug symbols file (hashed)
  * Use dh --with autoreconf rather than call 'by hand'. Cleaner.
  * Include more changes for hardening support. Closes: #658430.
  * Improved watch file from Bart Martens.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 16 May 2013 20:56:57 +0100

newt (0.52.14-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * python-newt-dbg.preinst: Handle symlink to directory conversion. (Closes:
    #700781)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 25 Feb 2013 19:58:40 +0100

newt (0.52.14-11) unstable; urgency=low

  * Add Latvian translation. Closes: #674705.
  * Close bugs fixed in -9: Closes: #670039. Closes: #670012. Closes: #658319.
  * Don't override hardened CFLAGS. Closes: #658430.
  * Updated welsh translation. Closes: #677458.
  * Updated Lithuanian translation. Closes: #675678.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Jun 2012 12:52:00 +0100

newt (0.52.14-10) unstable; urgency=low

  * Fix: whiptail gave incorrect result for ESC pressed when NO selected.
    Closes: #665784. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 16 May 2012 12:30:04 +0100

newt (0.52.14-9) unstable; urgency=low

  * Add debian/watch file.
  * Standard-Version: 3.9.3. No changes required. 
  * Correct packages marked: Multiarch: same. translation .mo files are not
    multiarch safe Closes: #670012, #670039.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 20 Apr 2012 00:22:52 +0100

newt (0.52.14-8) unstable; urgency=low

  *  Fix thanks to Kris Henriksson for snackmodule build. Closes: #655151.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 29 Jan 2012 14:59:30 +0000

newt (0.52.14-7) unstable; urgency=low

  * Snackmodule.* must be compiled -fPIC on AMD64, etc. Closes: #655151. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 13 Jan 2012 14:20:33 +0000

newt (0.52.14-6) unstable; urgency=low

  * Edit pkg-config --libs, --ldflags lines to ensure python shared objects 
    are not linkead against libpython. Closes: #655244.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Jan 2012 17:49:24 +0000

newt (0.52.14-5) unstable; urgency=low

  * Typo in patch: extra "+" leads to failure to install snackmodule
    in some cases. Closes: #655151.
  * Remove unnecessary dependencies on libpython* in python-newt that
    were blocking python2.6 upgade.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Jan 2012 16:08:28 +0000

newt (0.52.14-4) unstable; urgency=low

  * Fix crash due to blankline() in textbox being initialised in the 
    wrong place in refactored bid patch. Closes: #654408, #654351. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 03 Jan 2012 16:56:33 +0000

newt (0.52.14-3) unstable; urgency=low

  * Push to unstable.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Jan 2012 15:54:01 +0000

newt (0.52.14-2) experimental; urgency=low

  * bidi.patch: Add -ldl direct linkage for libnewt.so. Closes: #600289. 
  * One call newtInit() once in python newt initScreen(). Closes: #557960. 
  * Fix crash due to blankline being empty in textboxDraw.
    Closes: #650845. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 04 Dec 2011 02:34:47 +0000

newt (0.52.14-1) experimental; urgency=low

  * New upstream release. Closes: #601516.
  * Move to dh and source format 3 (quilt), from dbs. Closes: #576044.
  * Move to python2 from python_central. Closes: #616915.
  * Make Multi-Arch.
  * Standards-Version: 3.9.2. 
  * Remove obsolete conflicts / replaces/ provides from control file. 
  * Uighir translation by Sahran <Sahran.ug@gmail.com>. Closes: #627014.
  * Sinhala translation by Danishka Navin. Closes: #640766.
  * Old Patches:
    - Added DEP-3 headers.
    - removed Farsi lang patch now in upstream.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 03 Dec 2011 10:56:05 +0000

newt (0.52.11-2) unstable; urgency=low

  * Icelandic translation thanks to  Sveinn í Felli. Closes: #3600258, #592828. 
  * Farsi patch translation thanks to  Behrad Eslamifar. Closes: #590698.	
  * Belarussian translation thanks to  Viktar Siarheichyk. Closes: #595938.
  * Kazakh translation thanks to Baurzhan Muftakhidinov. Closes: #589007.
  * Irish translation thanks to Kevin Scannell. Closes: #579198.
  * Standards-Version: 3.9.1. No changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 16 Oct 2010 15:10:47 +0100

newt (0.52.11-1) unstable; urgency=low

  * New upstream. Closes: #575561. 
    Merged upstream:
     029_crash_fix.patch
     040_pkgconfig.patch
     310_libfixes.patch 
     320_valgrind_fixes.patch (partial)
     040_pkgconfig.patch
     410_marathi.patch 
     420_checkbox_width.patch
     600_CVE-2009-2905.patch
     720_newt_combiwrap.patch
     730_gujarati.patch
   * Fix to allow ESC key to work in whiptail. Closes: #584098.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Jun 2010 20:54:29 +0100

newt (0.52.10-8) unstable; urgency=low

  * Remove unnecessary libgpm-dev, as it breaks kfreebsd. Closes: #572230. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Mar 2010 10:14:59 +0000

newt (0.52.10-7) unstable; urgency=low

  * Enable GPM support on Linux, kFreeBSD. Closes: #572274, #569172 .
  * Build-depend on libgpm-dev.
  * Standards-Version: 3.8.4. No changes required. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Mar 2010 08:34:30 +0000

newt (0.52.10-6) unstable; urgency=low

  * Fix for 020_bidi.patch that now requires TRUE/FALSE to be defined.
    Thanks to Theppitak Karoonboonyanan. Closes: #570663.
  * Initialize space for fribidi to zero. Fix thanks to Colin Watson.
    Closes: #570581. 
  * Fix for text incorrectly wrapping at combining characters.
    Thanks to Theppitak Karoonboonyanan. Closes: #570630.
  * Translations:
     Gujarati, thanks to Kartik Mistry. Closes: #571682. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 02 Mar 2010 13:33:00 +0000

newt (0.52.10-5) unstable; urgency=low

  * Acknowledge NMU with thanks. 
  * Remove double spaces in control that breaks dpkg-dev. Closes: #557543.
  * Move to Standards-Version 3.8.3. No changes required.
  * Add -ldl to Libs line. Closes: #560542, #555771.
  * Translations:
    Updated Bengali patch that documens plural forms. Closes: #524974
    Updated Italian patch (in UTF-8). Closes: #559499.
    Updated Asturian patch (in UTF-8). Closes: #538951.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 18 Dec 2009 02:07:51 +0000

newt (0.52.10-4.1) unstable; urgency=high

  * Non-maintainer upload by the testing Security Team.
  * Include patch to fix buffer overflow in content processing code
    Fixes: CVE-2009-2905 Closes: #548198

 -- Giuseppe Iuculano <iuculano@debian.org>  Tue, 06 Oct 2009 17:29:33 +0200

newt (0.52.10-4) unstable; urgency=low

  * Add Ubuntu patch for python-newt-dbg package from Michael Vogt.
    Closes: #531725.
  * Add Ubuntu patch from Michael Vogt for crash when re-using text box
    multiple times. Thanks. Closes: #531724. 
  * Set the CHARSET specification in Marathi translation to UTF-8.
    Thanks to Christian Perrier. Closes: #531394. 

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 03 Jun 2009 23:20:22 +0100

newt (0.52.10-3) unstable; urgency=low

  * Marathi translation, thanks to Priti Patil. Closes: #416811. 
  * Patch from Neil Williams for cross-build support. Closes: #465105.
  * Add patch from Baruch Evan to allow checkboxes be aligned;
    wanted for LTR languages. Experimental API addition. Closes: #429351.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 05 May 2009 20:51:49 +0100

newt (0.52.10-2) unstable; urgency=low

  * Change Priority: for python-newt to optional. 
  * Remove old message about experimental SONAME for
    README.Debian. Closes: #430104. 
  * Add asturian po file from Marcos Alverez Costales.  Closes: #518982.
  * Add Homepage: and Vcs-Git: fields to debian/control. Closes: #489612.
  * Cross-build support for kfreebsd from Guillem Jover. Closes: #465196.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 01 May 2009 11:09:34 +0100

newt (0.52.10-1) unstable; urgency=low

  * New upstream release.  
    The following patches were merged, and have been removed:
     015_slang2_utf8.patch
     035_topleft_a11y.patch 
     040_bengali.patch      
     045_snack_entrywindow.patch 
     050_updated_greek.patch
     060_pgupdown_crash.patch 
     065_scrollbars.patch
     070_cursor_a11y.patch
     080_pa_rename.patch
     090_khmer.patch     
     100_dzongkha.patch
     110_a11y.patch
     130_colors.patch
     140_screensize.patch
     150_thai.patch
     160_esperanto.patch
     170_nepali.patch
     180_cursor.patch
     190_focus.patch
     200_cbtpos.patch
     222_fix_gauge_crash.patch 
     330_tamil.patch
     340_sl_fix.patch
     500_cope_with_backward_system_time_jumps.patch 
  * Build-Conflicts: autoconf2.13 no longer necessary.
  * Move DH_COMPAT=5 to file debian/COMPAT.
  * Move to Standards-Version: 3.8.1: replace dependencies 
    on Source-Version to binary:Version.
  * newt-tcl now built with tcl8.5-dev and works with tcl8.{3,4,5}.
  * Add libnewt.pc file to libnewt-dev.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 20 Apr 2009 22:57:48 +0100

newt (0.52.2-11.3) unstable; urgency=low

  * NMU
  * Cherry-pick upstream patch to avoid breaking timers when the system
    clock jumps backwards. Closes: #436497

 -- Joey Hess <joeyh@debian.org>  Fri, 11 Jul 2008 14:48:49 -0400

newt (0.52.2-11.2) unstable; urgency=low

  * Non-maintainer upload.
  * Apply ubuntu patch to use actually use pycentral.
    Thanks to Steve Langasek for forwarding.
    Closes: #445392.
  * Fix python memory handling. Closes: #445392.

 -- Thomas Viehmann <tv@beamnet.de>  Tue, 04 Mar 2008 23:33:17 +0100

newt (0.52.2-11.1) unstable; urgency=medium

  * NMU
  * Fix bidi patch to link libnewt with -ldl.
  * Include map file in the pic package.
  * Closes: #443248

 -- Joey Hess <joeyh@debian.org>  Wed, 19 Sep 2007 17:06:40 -0400

newt (0.52.2-11) unstable; urgency=low

  * Patch from Matthias Klose to deal with changed dpkg-architecure 
    output. Closes: #435376.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 09 Aug 2007 19:44:20 +0100

newt (0.52.2-10) unstable; urgency=low

  * Correction to Slovenian translation: thanks to Matej Kovacic.
    Closes: #405582.
  * Fix whiptail --help response: --defaultno not -defaultno. Closes: #400972. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Jan 2007 16:54:48 +0000

newt (0.52.2-9) unstable; urgency=low

  * Add Tamil translation from Senthil Kumar B. Closes: #404670.
  * Add entry to LINGUAS file so that Kurdish translation is included.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 31 Dec 2006 10:29:31 +0000

newt (0.52.2-8) unstable; urgency=low

  * Change libnewt0.52 priority to important, as it is required by whiptail,
    which is important.
  * Fix by Eugeniy Meshcheryakov for inputbox breakage under non-ASCII
    locales. Closes: #384391, #384787.
  * Moved debhelper dependency to >= 5.0.37.2, to ensure latest python policy
    support.
  * libcheck: Remove unnecessary dependencies on -lm, -lslang, -lpopt from
    libnewt and executables.
  * When fribidi lookup fails, record the fact so we don't try to dlopen()
    libfribidi on every text string printed.
  * newt-tcl: rename /usr/lib/libtwhiptcl.so/ to /usr/lib/whiptcl for clarity.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 29 Sep 2006 13:25:33 +0100

newt (0.52.2-7) unstable; urgency=low

  * debian/patches/222_fix_gauge_crash.patch
    - prevent a negative number input to the gauge dialog from crashing
      whiptail by smashing the stack. Thanks to Ryan Lortie.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 10 Aug 2006 10:18:08 +0100

newt (0.52.2-6) experimental; urgency=low

  * Acknowledge NMU with thanks. Closes: #379566.
  * Updated python change patch to only build on python2.3, python2.4; makes
    no assumptions about python2.5, etc. Thanks to Matthias Klose.
    Closes: #372811.
  * Clear dlerror() state before trying dlopen(), to try fixing
    failures in loading.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 28 Jul 2006 09:41:39 +0100

newt (0.52.2-5.1) unstable; urgency=low

  * NMU
  * Apply patch from Eugeniy Meshcheryako to regenerate configure during build
    so that bidi support is enabled again. Closes: #379566

 -- Joey Hess <joeyh@debian.org>  Mon, 24 Jul 2006 12:24:38 -0400

newt (0.52.2-5) unstable; urgency=low

  * Acknowledge NMU with thanks. Closes: #372811.
  * Move to new Python policy. This package should now work on
    python2.3 and python2.4.
  * Move to Standards-Version: 3.7.2 : No changes required.
  * Patches from Fedora 0.52.2-7 :
    - Make the default colours more friendly to 8-color terminals
    - handle listbox and checkboxtree focus better. Closes: #189038.
    - turn off cursor when entry terminated form
    - fix handling windows larger than screen size
    - fix checkboxtree positioning. 
  * Translations:
    - Thai, thanks to Theppitak Karoonboonyanan. Closes: #367230.
    - Esperanto, thanks to Serge Leblanc. Closes: #366077, #369240.
    - Nepali, thanks to Paras pradhan. Closes: #369357.
  * Fixed bug that meant Bengali was not properly included.
  * libnewt0.52: Move priority from required to standard, to match
    overrides.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 20 Jun 2006 21:15:43 +0100

newt (0.52.2-4.1) experimental; urgency=low

  * Build for python2.4.
  * Hardcode the python dependencies for this upload, so that we can build
    without 2.4 as the default version.

 -- Matthias Klose <doko@debian.org>  Sun, 11 Jun 2006 15:07:35 +0000

newt (0.52.2-4) unstable; urgency=low

  * Translations:
    - Dzongkha, thanks to Pema Geyleg. Closes: #361793.
  * Further accessability improvements by Samuel Thibault. Closes: #337171.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 11 Apr 2006 17:52:56 +0100

newt (0.52.2-3) unstable; urgency=low

  * Translations: 
    - Khmer, thanks to  Khoem Sokhem. Closes: #359671.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Mar 2006 21:52:06 +0100

newt (0.52.2-2) unstable; urgency=low

  * Change Punjabi from pa_IN to pa, following debian-i18n discussion.
    Closes: #357611.
  * Release as unstable, causing a transition to new libnewt0.52.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 19 Mar 2006 14:25:06 +0000

newt (0.52.2-1) experimental; urgency=low

  * New upstream release.
  * Change whiptail section: from base to utils to match override.
  * Updated Greek translation from Kostas Papadimas. Closes: #344583.
  * Patches from RedHat:
    - pgupdown-crash: fixes crash in checkboxtree using pgup/down
    - scrollbar: more pleasing scrollbars.
  * Include cursor-a11y.patch for better accessability. Closes: #337171.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 19 Jan 2006 21:44:03 +0000

newt (0.52.1-3) experimental; urgency=low

  * New Bengali translation by Progga. Closes: #340650.
  * snack.py: function EntryWindow now works with preset values for entries.
    Closes: #340366.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 25 Nov 2005 20:50:49 +0000

newt (0.52.1-2) experimental; urgency=low

  * Include a11y patches by Samuel Thibault for accessability.
    Closes: #337171.
  * move to DH_COMPAT=5; include ${misc:Depends} to Dependencies.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 19 Nov 2005 12:05:48 +0000

newt (0.52.1-1) experimental; urgency=low

  * New upstream release.
  * New Kurdish translation by Erdal Ronahi. Closes: #335077.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 22 Oct 2005 20:20:38 +0100

newt (0.51.6-31) unstable; urgency=low

  * don't free() a pointer that will be NULL if fribidi is not installed.
    Closes: #317451, #326068.
  * Build-Depend on libfribid-dev, libnewt0.51 recommends libfribidi0.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu,  8 Sep 2005 22:30:22 +0100

newt (0.51.6-30) unstable; urgency=low

  * Improved BIDI patch from Eugeniy Meshcheryakov. Closes: #323832. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Aug 2005 19:03:02 +0100

newt (0.51.6-29) unstable; urgency=low

  * Translations:
    - Xhosa thanks to Xhosa team and Canonical. Closes: #319480.
  * Fixed syntax errors in changelog that lintian now complains of.
  * Better dependency generation for whiptail; no doubled dependencies

 -- Alastair McKinstry <mckinstry@debian.org>  Thu,  4 Aug 2005 18:56:34 +0100

newt (0.51.6-28) unstable; urgency=low

  * Patch from Eugeniy Meshcheryakov to do fribidi in newt. Closes: #318239. 

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Jul 2005 21:54:38 +0100

newt (0.51.6-27) unstable; urgency=low

  * Translations:
     - Wolof (wo) thanks to Mouhamadou Mamoune Mbacke. Closes: #317535.
  * Add explanation to whiptail man page as to how to start text with a dash
    '-'. Closes: #284708.
  * Move to Standards-Version: 3.6.2 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 10 Jul 2005 08:32:24 +0100

newt (0.51.6-26) unstable; urgency=low

  * Build against libslang2-dev (>= 2.0.4-2) for fribidi patch.
  * Upload to unstable.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 26 Jun 2005 10:20:18 +0100

newt (0.51.6-25) experimental; urgency=low

  * libslang2: use SLutf8_enable(-1) to enable UTF8 handling.
  * Patch from Eugeniy Meshcheryakov to handle incorrect input in
    non-ASCII modes. Closes: #304657.
  * libnewt0.51: set priority to required, to match override.
  * whiptail: set priority to important, to match override.
  * Generate newt.pot during package build. Closes: #313523.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Jun 2005 13:12:54 +0100

newt (0.51.6-24) experimental; urgency=low

  * Build against libslang2
  * Translations:
    - Punjabi (pa_IN) thanks to Amanpreet Singh Alam. Closes: #309793.
    - Estonian thanks to Siim Põder. Closes: #312465.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 13 Jun 2005 21:23:47 +0100

newt (0.51.6-23) unstable; urgency=low

  * Build against libc6 from unstable, not experimental. Closes: #308550. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 13 May 2005 07:43:48 +0100

newt (0.51.6-22) unstable; urgency=low

  * Translations:
    - Vietnamese, thanks to Clytie Siddall. Closes: #306612.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon,  9 May 2005 20:53:22 +0100

newt (0.51.6-21) unstable; urgency=low

  * Translations:
    - Tagalog, thanks to Eric Pareja. Closes: #288908.
  * Corrections for typos in whiptail man page. Thanks to A. Costa.
    Closes: #287349.
  * whiptail: textbox help should say <file> not <text>. Closes: #287352.
  * Interpret C-u as discard. Thanks to Matt Kraai for patch;
    Closes: #275588.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 20 Feb 2005 15:33:50 +0000

newt (0.51.6-20) unstable; urgency=low

  * Upgrade bug; lbnewt0.51 was supplying /usr/lib/libnewt.so in conflict
    with libnewt-dev. Closes: #283185.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 27 Nov 2004 09:49:00 +0000

newt (0.51.6-19) unstable; urgency=low

  * Translations:
    - Welsh, thanks to  Dafydd Harries. Closes: #282178.
    - Galician, thanks to Jacobo Tarrio. Closes: #282231.
    - Albanian, thanks to Elian Myftiu. Closes: #282158.
    - Malagasy, thanks to Jaonary Rabarisoa. Closes: #282444.
    - Hindi, thanks to Ravishankar Shrivastava. Closes: #282445.
  * Fix regression: Tradition Chinese translations that were over-written
    by Simplified Chinese by mistake. Closes: #282948.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 25 Nov 2004 20:44:04 +0000

newt (0.51.6-18) unstable; urgency=low

  * Macedonian translation thanks to Georgi Stanojevski. Closes: #275778. 

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 17 Oct 2004 20:18:57 +0100

newt (0.51.6-17) unstable; urgency=low

  * Romanian translation thanks to Eddy Petrisor. Closes: #275121.
  * Traditional Chinese translation thanks to Tetralet. Closes: #272618.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed,  6 Oct 2004 20:52:22 +0100

newt (0.51.6-16) unstable; urgency=low

  * Include Bulgarian translation by Ognyan Kulev.
    Closes: #271425, #272378.
  * Remove reference to hot-key numbers (a dialog-only feature) from
    whiptail man-page. Closes: #267965.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 20 Sep 2004 21:45:32 +0100

newt (0.51.6-15) unstable; urgency=low

  * Ensure whiptail depends on ${Source-Version} of libnewt0.51.
    Closes: #269835.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun,  5 Sep 2004 20:41:08 +0100

newt (0.51.6-12) unstable; urgency=low

  * Build for sid.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 27 Aug 2004 22:20:01 +0100

newt (0.51.6-6sarge) testing-proposed-updates; urgency=low

  *  Set reset charset properly when doing line-drawing; Closes: #263780
  *  FTBFS on AMD64,alpha. Closes: #265214.
  *  Build whiptail against shared libnewt.so; Closes: #265721 

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 14 Aug 2004 23:08:41 +0100

newt (0.51.6-11) unstable; urgency=low

  * Acknowledging NMU: Closes: #262107.
  # Ensure wstrlen is visible to newt binaries. Closes: #264723.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 13 Aug 2004 20:29:31 +0100

newt (0.51.6-10.1) unstable; urgency=high

  * NMU
  * libnewt-dev should depend on 0.51, not itself.

 -- Joey Hess <joeyh@debian.org>  Thu, 29 Jul 2004 15:01:19 -0400

newt (0.51.6-10) unstable; urgency=low

  * Tighten dependencies to latest versions of newt, slang.
    Closes: #261314, #260992.
  * Translations:
    - ar.po thanks to Arabeyes project. Closes: #260646.
    - hr.po thanks to Krunoslav Gernhard. Closes: #261421.
  * Add debian/watch file.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Jul 2004 22:32:54 +0100

newt (0.51.6-9) unstable; urgency=low

  * Build against the correct slang libraries. Closes: #259283. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Jul 2004 22:44:40 +0100

newt (0.51.6-8) unstable; urgency=low

  * FIx garbled display in top line of boxes. Closes: #257488. 

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Jul 2004 19:22:55 +0100

newt (0.51.6-7) unstable; urgency=low

  * Fix display problem with 'hidden' checkbox entries in whiptail being
    shown. Closes: #257807.
  * Used versioned symbols in libnewt.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu,  8 Jul 2004 20:49:22 +0100

newt (0.51.6-6) unstable; urgency=low

  * Echo '*' in password field in whiptail. Closes: #254411.
  * Fix segfaults on bad parameters (box sizes). Closes: #253512.
  * Update copyright file to point to better source. Closes: #254975.
  * ENTER in multiselect (check and radio lists) now selects; 
    tabbing to OK not required. Closes: #252751.
  * Removed XSI:'isms from python-newt.prerm.in ; Closes: #256508.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 28 Jun 2004 20:45:09 +0100

newt (0.51.6-5) unstable; urgency=low

  * Correction to Catalan translation. Closes: #251790. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue,  8 Jun 2004 22:29:40 +0100

newt (0.51.6-4) unstable; urgency=low

  * Change Catalan po file to reflect UTF-8 encoding. 
    Closes: #251790, #251811.
  * Bosnian translationi by  Safir Šećerović. Closes: #251138.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 31 May 2004 21:30:06 +0100

newt (0.51.6-3) unstable; urgency=low

  * Don't free ptr in entry.c twice. Closes: #246378. 

 -- Alastair McKinstry <mckinstry@debian.org>  Tue,  4 May 2004 20:24:09 +0100

newt (0.51.6-2) unstable; urgency=low

  * Translations:
    - Portuguese by  Miguel Figueiredo. Closes: #241311.
    - Slovak by Peter Mann. Closes: #246099.
  * Fix python indentation in snack.py. Closes: #236837.
  * Don't truncate strings in UTF-8 mode in whiptail. Closes: #232426.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Apr 2004 20:27:23 +0100

newt (0.51.6-1) unstable; urgency=low

  * New Upstream release.
  * Switched to dbs:
    - Cleanup of debian/rules
    - broke 0.51.4 changes into debian/patches
  * newt.c: Don't spin on the terminal window dying. Closes: #203988.
  * Use terminfo bindings: patch from Henning Makholm. Closes: #219043.
  * Trim long titles rather than failing. Closes: #236114.
  * Add GNU options --help, --version to whiptail.
  * Translations:
    - Turkish by Recai Oktas. Closes: #239149.
    - Korean by  Changwoo Ryu. Closes: #241988.
    - Indonesian by I Gede Wijaya S. Closes: #243454.
    - Basque by Piarres Beobide Egaña. Closes: #243587.
    - Hebrew by Lior Kaplan.
  * Patch for non-ASCII input, thanks to Eugeniy Meshcheryakov.
    Closes: #238873.
  Special thanks to Eugeniy Meshcheryakov for fixes and testing.

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 25 Apr 2004 19:12:19 +0000

newt (0.51.4-21) unstable; urgency=low

  * zh_CN.po: Simplified Chinese translation from Carlos Z.F. Liu.
    Closes: #232134.
  * whiptail.c: guessSize: fix wrapping/truncation of text when autosizing 
    dialogs. Closes: #224333, #231634.    
  * whiptail.c: Translate "\n" in text to newlines. Closes: #218991, #212255.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 11 Feb 2004 15:37:07 +0000

newt (0.51.4-20) unstable; urgency=low

  The "Further adventures in translation" release.
  * cs.po: Czech translation from Miroslav Kure. Closes: #227116.
  * nl.po: Dutch translation from Bart Cornelis. Closes: #227102.
  * sl.po: Slovenian translation from Jure Cuhalev. Closes: #227519.
  * lt.po: Lithuanian translation from Kęstutis Biliūnas. Closes: #227566.
  * es.po: Improved Spanish translation from Carlos Valdivia Yagüe.
  * da.po: Danish translation from Claus Hindsgaul.

 -- Alastair McKinstry <mckinstry@debian.org>  Fri,  6 Feb 2004 18:04:25 +0000

newt (0.51.4-19) unstable; urgency=medium

  The "Do translators travel in packs?" release.
  * fi.po: Finnish translation from Tommi Vainikainen. Closes: #226993.
  * fr.po, ja.po: Fix comments; these are not German translations. 
    Closes: #226964.
  * ga.po: Convert to UTF-8.
  * it.po: Italian translation from  Giuseppe Sacco, and build fix
    for ja.po.
    Closes: #226942, #226943.
  * sl.po: Slovenian translation from  Jure Cuhalev. Closes: #226901.
  * hu.po: New Hungarian translation from  VEROK Istvan. Closes: #226982.
  * ru.po: New Russian translation from Nikolai Prokoschenko. Closes: #226945.
  * sv.po: Fix spelling mistake. Thanks to André Dahlqvist.
  * el.po: New Greek translation from Konstantinos Margaritis. 
    Closes: #226922.
  * pl.po: New Polish translation from  Bartosz Fenski aka fEnIo.
    Closes: #226921.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 10 Jan 2004 07:28:36 +0000

newt (0.51.4-18) unstable; urgency=low

  * whiptail / whiptcl: Resize listboxes to fit on screen.
    Closes: #201619, #206616.
  * ESC key now works. Closes: #52477, #110268.
  * Add examples to libnewt-dev.
  * Update version, authors in whiptail(1).

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 19 Sep 2003 20:52:48 +0000

newt (0.51.4-17) unstable; urgency=low

  * whiptail: Return -1 on error, to distinguish Ok, Cancel, Error.
    Closes: #86400. Closes: #209029.
  * Add documentation for python-newt. Closes: #151783.
  * Fix build error for po/Makefile.in.in. Closes: #207047.
  * newt should Build-Depend on gettext. Closes: #207477.
  * Build-Depend on debhelper >= 4.1.1. Closes: #207037.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 15 Sep 2003 20:35:56 +0100

newt (0.51.4-16) unstable; urgency=low

  * Ship files for python2.3, not python2.2.  Closes: #205481, #205505. 
  * Change es.po to UTF-8, to correct charset error
  * Correct spelling in sv.po. 
    Closes: #206218, #206219, #206220, #206221.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 18 Aug 2003 22:02:11 +0100

newt (0.51.4-15) unstable; urgency=low

  * Removed unnecessary dependencies on python << 2.3; Closes: #204876.
  * Changed maintainer email to mckinstry@debian.org
  * Moved to Standards-Version: 3.6.0; no changes required.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 12 Aug 2003 22:09:43 +0100

newt (0.51.4-14) unstable; urgency=low

  * Added Brazilian Portugese translation from Andre Luis Lopes. 
    Closes: #202101. 
  * chmod +x ./mkinstalldirs. Closes: #202078.

 -- Alastair McKinstry <mckinstry@computer.org>  Sun, 20 Jul 2003 09:28:44 +0100

newt (0.51.4-13) unstable; urgency=low

  * Fix installation of .mo files. Closes: #202003.
  * Added french translation for whiptail from Christian Perrier. Closes: #201864.
  * Added Japanese translation for whipatil from Tomohiro KUBOTA. Closes: #202005.

 -- Alastair McKinstry <mckinstry@computer.org>  Sat, 19 Jul 2003 08:31:49 +0100

newt (0.51.4-12) unstable; urgency=low

  * Re-enabled Ctrl-U key. Closes: #184486, #191487.
  * Enable i18n, with whiptail button translations to
    Catalan, Spanish, Irish, German, Swedish and Norwegian. Closes: #54536.

 -- Alastair McKinstry <mckinstry@computer.org>  Sun, 13 Jul 2003 12:33:58 +0100

newt (0.51.4-11) unstable; urgency=low

  * Fixed misleading colors in compact buttons. Closes: #195775,#198800.
  * Updated to policy 3.6.0; no changes needed.

 -- Alastair McKinstry <mckinstry@computer.org>  Mon, 14 Jul 2003 10:16:11 +0100

newt (0.51.4-10) unstable; urgency=low

  * libnewt0.51 replaces libnewt0, libnewt-utf8; whiptail can also use tcl8.4.
    Closes: #196570.
  * Add README.whiptail to document the purpose of whiptail. Closes: #67356.
  * Added --default-item option added to whiptail, whiptcl.
    Closes: #49352, #49796.
  * Added shlibs fix from Daniel Schepler for whiptail dependency on alpha.
    Closes: #196290.
  * malloc, realloc failures in whiptail, whiptcl now generate a DLG_ERROR
    return, not a segfault.

 -- Alastair McKinstry <mckinstry@computer.org>  Mon, 16 Jun 2003 20:54:30 +0100

newt (0.51.4-9) unstable; urgency=low

  * libnewt0 replaces libnewt-utf8

 -- Alastair McKinstry <mckinstry@computer.org>  Sun,  8 Jun 2003 08:28:55 +0100

newt (0.51.4-8) unstable; urgency=low

  * Fix problem with cursor position when no border drawn. Closes: #195545.
  * Add --notags option to whiptail. Closes: #45957.
  * Change newt-tcl whiptcl.so to libwhiptcl.so. Closes: #21697.
  * Fix shlib dependency calculation to ensure dependency for whiptail on 
    libnewt0.51 on sparc. Closes: #196290.

 -- Alastair McKinstry <mckinstry@computer.org>  Fri,  6 Jun 2003 14:00:05 +0100

newt (0.51.4-7) unstable; urgency=low

  * Added --output-fd option. Closes: #153628.
  * Use libc6.1 on Alpha rather than libc. Closes: #194877.

 -- Alastair McKinstry <mckinstry@computer.org>  Fri, 30 May 2003 19:00:46 +0100

newt (0.51.4-6) unstable; urgency=low

  * Hardcode whiptail dependencies for the moment to ensure that
    libnewt0.51 is included on !i386. Closes: #192767.
  * Re-included --textbox, --passwordbox functionality that upstream had
    dropped without mentioning it in documentation.
    Closes: #191579, #191580, #192494, #192922, #192944, #193040.

 -- Alastair McKinstry <mckinstry@computer.org>  Mon, 12 May 2003 22:31:37 +0100

newt (0.51.4-5) unstable; urgency=low

  * Re-insert code to ensure dialogboxes.o is -fPIC, this time to Makefile.in,
    not Makefile.  Closes: #192393.

 -- Alastair McKinstry <mckinstry@computer.org>  Sun, 11 May 2003 13:51:18 +0100

newt (0.51.4-4) unstable; urgency=low

  * Reset screen before leaving on exit. Closes: #55638.
  * Removed incorrect 'and is maintained by' line from debian/copyright.
  * Ensure dialogboxes.o is built -fPIC: its included in shared objects.
    Closes: #192393.
  * Ensure whiptail dependency on libnewt0.51. Closes: #192767.
  * Added libnewt.so->libnewt.so.0.51 symlink to libnewt-dev. Closes: #192884.

 -- Alastair McKinstry <mckinstry@computer.org>  Mon,  5 May 2003 14:29:15 +0100

newt (0.51.4-3) unstable; urgency=low

  * Also remore dh_testroot from configure target. Closes: #191123. 
  * Change Sections to match overrides (devel->libdevel, interpreters->python)
  * Fixed dependencies. Build-Depend, slang>>1.4.5-2; whiptail. 
    Closes: #162429.
  * Re-inserted the guessSize() code for autosizing from 0.50.17, with a bugfix to
    allow it to work with UTF8. Closes: #191627.
  * newt.c: Window placement calc: Don't assume 80x24! instead,  read from slang.
    Closes: #191578
  * include newt.spec in /usr/share/doc as it includes important changelog
    info.
  * Documented the removal of whiptail features --passwordbox, --textbox;
    added explanation on how to select items in checklists, radiolists in
    whiptail.1. Closes: #184471.
  * Removed debian-test testsuite, as the debian-test package has been removed.

 -- Alastair McKinstry <mckinstry@computer.org>  Thu,  1 May 2003 12:33:01 +0100

newt (0.51.4-2) unstable; urgency=low

  * build target no longer needs root. Closes: #191123. 
  * Include snack.py in python-newt. Closes: #191445, #191446.

 -- Alastair McKinstry <mckinstry@computer.org>  Wed, 30 Apr 2003 23:38:55 +0100

newt (0.51.4-1) unstable; urgency=low

  * New maintainer.
  * Upgraded to new release 0.51.4, from RedHat, bumping SONAME to 0.51
  * Merged newt, newt-utf8 now that SONAME has changed.

 -- Alastair McKinstry <mckinstry@computer.org>  Mon, 14 Apr 2003 10:20:02 +0100

newt (0.50.17-13) unstable; urgency=low

  * textbox.c(addLine,doReflow,newtTextbox) add checks to try and fix (closes: 169788)
  * add debian-test script and install it, but I haven't actually figured
    out how really to use it.
  * debian/control{,.utf8}:
    Build-Depend on sgmltools-lite rather than sgmltools-2,
    and libnewt-utf8-pic and libnewt-pic conflicts explicitly with each other
  * Install libnewt-utf8_pic.a as libnewt_pic.a, 
    I hope I don't break anybody's back with this change.
    (closes: #182041)
  * slightly update create-utf8.sh script.
  * update README.Debian for a change.
  
 -- Junichi Uekawa <dancer@debian.org>  Fri, 28 Feb 2003 17:32:33 +0900

newt (0.50.17-12) unstable; urgency=low

  * no stripping if nostrip is specified in DEB_BUILD_OPTS.
  - change configure.in to accept --with-nostrip
  - change Makefile.in to use @INSTALL_S@ instead of install -s.
  * No buffer overflow in pushhelpline (partially fixes #66349,
  that it doesn't segv anymore, but something is surely wrong.)
  * Possible buffer overflow in newt.c for keyinput fixed (closes: #140404)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 27 Nov 2002 16:40:41 +0900

newt (0.50.17-11) unstable; urgency=low

  * Apply patch from Robert Milan (mostly) for hurd compatbility.
  (closes: #149318)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 30 Oct 2002 17:22:23 +0900

newt (0.50.17-10) unstable; urgency=low

  * New maintainer
  * Build newt-utf8 also. versions -9.7 and -9.8 were not uploaded 
  to Debian archive as utf-8 versions.
  * Fix newt-utf8 portions that doko didn't touch.
  * Fixed descriptions to clarify that newt-utf8 is not binary compatible,
  and note that it's not wide-character support, but support for locales.
  (closes: #135455, #152223)
  * rename debian/README to debian/README.Debian
  * update debian/copyright to include me.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 28 Oct 2002 22:46:25 +0900

newt (0.50.17-9.8) unstable; urgency=low

  * Makefile.in (PYVER): Set to 2.2 (closes: #158689).

 -- Matthias Klose <doko@debian.org>  Fri, 30 Aug 2002 08:15:43 +0200

newt (0.50.17-9.7) unstable; urgency=low

  * NMU.
  * Build using python2.2.

 -- Matthias Klose <doko@debian.org>  Sat, 24 Aug 2002 14:07:14 +0200

newt (0.50.17-9.6) unstable; urgency=high

  * Fix possible buffer overflow. (closes: #138363, #140493)
    At least, this no longer segfaults for me: 
    whiptail --menu "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" 30 120 0 aa aaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa

 -- Junichi Uekawa <dancer@debian.org>  Sun, 31 Mar 2002 09:38:18 +0900

newt (0.50.17-9.5) unstable; urgency=high

  * NMU
  * An urgency high upload to fix mistakes introduced in -9.3, 
    and to let the fix trickle into testing.
  * whiptail and whiptail-utf8 conflicts with each other
    (closes: #135752, #136404)
  * update build-depends to depend on slang 1.4.4-7.2 or greater

 -- Junichi Uekawa <dancer@debian.org>  Sun,  3 Mar 2002 11:45:10 +0900

newt (0.50.17-9.4) unstable; urgency=low

  * NMU
  * add setlocale(LC_ALL, ""); to whiptail, in utf8 mode.
    mbrtowc most probably wants this.
    Otherwise, we are getting question marks from whiptail-utf8.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 25 Feb 2002 02:51:17 +0900

newt (0.50.17-9.3) unstable; urgency=low

  * NMU
  * "Creating the necessary binaries for building boot-floppies, and
    fixing the non-arch porability"
  * Makefile.in: fix some compilation warnings with -D_GNU_SOURCE for 
    UTF8 mode, so that the program will run on other arches. 
    (closes: #135386)
  * newt_pr.h: added declaration for strwidth definition.
  * debian/control: 
    - libnewt-dev conflicts with libnewt-dev, 
      libnewt-utf8-dev provides/conflicts libnewt-dev
      introduce libnewt-utf8-dev
    - whiptail conflicts/provides whiptail-provider
      whiptail-utf8 conflicts/provides whiptail-provider
    - whiptail-utf8 created (closes: #135382)
    - libnewt-dev requires newt, and slang
    - libnewt-utf8-dev requires newt-utf8 and slang-utf8
    - tcl8.3-dev added to build-depends for utf8.
    - libnewt-utf8-pic depends on libnewt-utf8-dev
  * debian/rules: 
    - add binary-runtime and binary-devel
      to binarytarget for utf8.
    - build document in utf8 also.
    - remove *~ on clean
  * Makefile.in: Accept BUILDING_UTF8=true as a sign of required UTF8
    flag.
  * debian/create-utf8.sh: sed shlibs/shlibs.local so that 
    packages compiled against utf8 version will require utf8
    libs.
  * debian/README: added some documentation on the package.
  * debian/shlibs.local: update shlibs file to depend on utf8 version
    greater than 0.50.17-9.3.
  * With this, whiptail-utf8 should be used with slang1-utf8
    (closes: #124083)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 24 Feb 2002 14:09:53 +0900

newt (0.50.17-9.2) unstable; urgency=low

  * NMU
  * Split out newt-utf8 and newt source packages (closes: #133936)
  * debian/create-utf8.sh: created, to facilitate creation of newt-utf8 version
    from newt. Portions ripped off from fetchmail sources.
  * debian/control.utf8: for utf8 version.
  * this version keeps the single -dev file. It might cause problems
    if packages linked to newt try to use slang too.
  * bump up the version build-dependency for slang1-*-dev
  * libnewt-pic: Depends on libnewt-dev

 -- Junichi Uekawa <dancer@debian.org>  Fri, 15 Feb 2002 18:50:36 +0900

newt (0.50.17-9.1) unstable; urgency=low

  * Non Maintainer Upload.
  * fix problems with mono mode, patch thanks to 
    Klaus Weidner <kw@w-m-p.com> (closes: #128941)
  * fixed char signedness problem patch thanks to 
    Martin Michlmayr <tbm@cyrius.com> (closes: #127105)

 -- David Kimdon <dwhedon@debian.org>  Mon, 11 Feb 2002 21:55:10 -0800

newt (0.50.17-9) unstable; urgency=high

  * Oops, fix the memory leak that I created while trying to fix the
    memory leak in newtTextboxSetText. (Closes: #124117)

 -- Enrique Zanardi <ezanard@debian.org>  Tue, 18 Dec 2001 13:33:50 +0000

newt (0.50.17-8) unstable; urgency=high

  * MU, close the bugs fixed in NMUs. (Closes: #119815, #120245, #119281, #119354, #117455, #115409, #116566, #121062, #117878, #109441)
  * libnewt.so points to libnewt.so.0.50 (Closes: #121893)
  * -pic packages now depend on non-pic ones. (Closes: #123325)
  * Fix memory leak in newtTextboxSetText. (Closes: #121505)
  * Use the proper package name in the prerm script for python-newt. 
    (Closes: #121716)

 -- Enrique Zanardi <ezanard@debian.org>  Wed, 12 Dec 2001 10:20:06 +0000

newt (0.50.17-7.3) unstable; urgency=high

  * NMU for woody deadline
  * Include patch from Philip Blundell to fix UTF8.  Closes: #119354
  * Remove snack.py~ and Makefile.in~ which seem to have been introduced
    in the last NMU.

 -- Matthew Wilcox <willy@debian.org>  Wed, 28 Nov 2001 09:28:01 -0700

newt (0.50.17-7.2) unstable; urgency=high

  * NMU to include corrected snack.py.  (Closes: #119815, #120245, #119281)

 -- Chris Lawrence <lawrencc@debian.org>  Sat, 24 Nov 2001 17:57:55 -0600

newt (0.50.17-7.1) unstable; urgency=low

  * NMU to build with python (2.1). Somewhat fixes #109441.
  * Add postinst/prerm for python-newt to compile/remove .py files.
    Closes: #117455.
  * Build Tcl module for tcl8.3.
  * Call ldconfig, only when configuring.
  * Make libnewt0 depend on slang1-dev (>= 1.4.4-2) | slang1-utf8-dev
    (Closes: #115409).

 -- Matthias Klose <doko@debian.org>  Sun, 21 Oct 2001 19:33:50 +0200

newt (0.50.17-7) unstable; urgency=low

  * Changed colors for inactive buttons. (Closes: #99652, #54265, #60855, #61150)

 -- Enrique Zanardi <ezanard@debian.org>  Mon,  4 Jun 2001 10:20:06 +0100

newt (0.50.17-6) unstable; urgency=low

  * Oops, there was a bug in the patch.

 -- Enrique Zanardi <ezanard@debian.org>  Fri, 27 Apr 2001 08:44:37 +0100

newt (0.50.17-5) unstable; urgency=low

  * Some utf8-related fixes (Patch by Edmund Grimley Evans):
    - remove all use of mbtowc and wctomb, which are evil in a library,
      as they change an anonymous global state
    - fix a possible segfault in doReflow() if !resultPtr
    - remove some historical #if 0 code

 -- Enrique Zanardi <ezanard@debian.org>  Thu, 26 Apr 2001 14:08:49 +0100

newt (0.50.17-4) unstable; urgency=low

  * Rebuilt with utf8 version of slang1. (Closes: #93276)

 -- Enrique Zanardi <ezanard@debian.org>  Fri, 20 Apr 2001 10:02:54 +0100

newt (0.50.17-3) unstable; urgency=low

  * Builds utf8 versions of libnewt and libnewt-pic. (Closes: Bug#91963)
    Patch by Edmund Grimley Evans.

 -- Enrique Zanardi <ezanard@debian.org>  Wed, 11 Apr 2001 22:17:20 +0100

newt (0.50.17-2) unstable; urgency=low

  * Builds a PIC version of libnewt. (Closes: Bug#91951)
  * Builds a directory of html files. (Closes: Bug#89906)
  * Include the right file location in copyright file. (Closes: Bug#91962)

 -- Enrique Zanardi <ezanard@debian.org>  Wed, 11 Apr 2001 20:21:04 +0100

newt (0.50.17-1) unstable; urgency=low

  * New upstream version
  * Added a "abort signal" callback to libnewt, and a "suspend" callback
    to whiptail. (Closes: Bug#52952, Bug#61807, Bug#84054)
  * Closing ancient non-bug (just a difference in the way getopt and popt
    handle arguments). (Closes: Bug#17786)
  * Added Build-Depends. (Closes: Bug#70101)
  * Added patch by Oskar Liljeblad <osk@hem.passagen.se> to handle
    NEWT_KEY_{HOME,END}. (Closes: Bug#80961)

 -- Enrique Zanardi <ezanard@debian.org>  Sun, 18 Feb 2001 10:32:49 +0000

newt (0.50.8-2) unstable; urgency=low

  * Added -I/usr/include/tcl8.2/ to the list of include dirs for whiptcl
    and tcl8.2-dev >= 8.2.3-3. (Closes: Bug#67066)
  * Added --scrolltext description to whiptail.1 manpage (Closes: Bug#75316)
  * Fixed typo in whiptail.1 manpage (Closes: Bug#75653)

 -- Enrique Zanardi <ezanard@debian.org>  Fri, 27 Oct 2000 09:52:53 +0100

newt (0.50.8-1) unstable; urgency=low

  * New upstream version.
  * whiptcl doesn't have hardcoded terminal size (Closes: Bug#62252)
  * Close bugs fixed in NMUs. (Closes: Bug#58059, Bug#47855, Bug#57651,
    Bug#56710, Bug#58817)
  * Whiptail remembers the state of the screen and restores it on exit
    (Closes: Bug#57455)
  * Latest stable version of newt. (Closes: Bug#52834, Bug#54474)

 -- Enrique Zanardi <ezanard@debian.org>  Wed, 28 Jun 2000 13:38:38 +0100

newt (0.50-7) frozen unstable; urgency=high

  * Ctrl-U must clear the whole buffer! . Closes: Bug#62828

 -- Enrique Zanardi <ezanard@debian.org>  Sat, 22 Apr 2000 13:38:04 +0100

newt (0.50-6) frozen unstable; urgency=low

  * Use "-O2" on compilation to let it build on m68k and get rid of
  RC bug 59150 as suggested by Bjoern Brill.

 -- Enrique Zanardi <ezanard@debian.org>  Thu, 23 Mar 2000 19:37:15 +0000

newt (0.50-5.4) frozen unstable; urgency=low

  * Non-maintainer upload
  * Fixes bad cursor position in listboxes, Closes: Bug#58059

 -- Eric Delaunay <delaunay@lix.polytechnique.fr>  Fri, 10 Mar 2000 22:11:16 +0100

newt (0.50-5.3) frozen unstable; urgency=low

  * Non-maintainer upload
  * Don't install libnewt.a with install -s, Closes: Bug#57651

 -- Wichert Akkerman <wakkerma@debian.org>  Sun, 20 Feb 2000 15:38:54 +0100

newt (0.50-5.2) unstable; urgency=low

  * Non-maintainer upload
  * Fixes dependency calculation on debian/rules. closes: #53181

 -- Randolph Chung <tausq@debian.org>  Wed, 22 Dec 1999 16:17:56 -0700

newt (0.50-5.1) unstable; urgency=low

  * Non-maintainer upload
  * Adds clear line feature (c-u) to libnewt. closes: #36587
  * break lines properly, closes: #43270
  * Missing "val" in newt.h; "//" in form.c, closes: #47855
  * Fixes sizing code for menu dialogs, closes: #51019
  * Fixes whiptail dependencies, closes: #48475, #50165, #50346, #52311

 -- Randolph Chung <tausq@debian.org>  Tue, 14 Dec 1999 21:57:11 -0700

newt (0.50-5) unstable; urgency=low

  * If gpm is not running ignore gpm support.

 -- Enrique Zanardi <ezanard@debian.org>  Sun,  7 Nov 1999 19:59:43 +0000

newt (0.50-4) unstable; urgency=low

  * (finally) enabled gpm support.
  * fixed whiptail dependencies.

 -- Enrique Zanardi <ezanard@debian.org>  Sat,  9 Oct 1999 22:32:23 +0100

newt (0.50-3) unstable; urgency=low

  * explicitly linked to libdl.

 -- Enrique Zanardi <ezanard@debian.org>  Sat,  9 Oct 1999 21:22:16 +0100

newt (0.50-2) unstable; urgency=low

  * added a Replaces/Conflicts: newt0.25-dev to allow clean upgrades from
    slink. (Closes: #47025).

 -- Enrique Zanardi <ezanard@debian.org>  Sat,  9 Oct 1999 21:22:16 +0100

newt (0.50-1) unstable; urgency=low

  * new upstream version (Closes: #43427, #45955).
  * linked to slang 1.3 (Closes: #46951)
  * stripped debugging symbols from libnewt.a (Closes: #31246).
  * whiptail is on its own base package (Closes: #36435).
  * fixed documentation bug about "--clear" (Closes: #24972).
  * newtRedrawHelpLine() now test for length before memcpy'ng
  (Closes: #37032, #38602)
  * manpage updated to describe new options (Closes: #41304).
  * fixed typo in whiptail output (Closes: #44754).
  * added support for "password boxes". Patch by Joey Hess
  <joey@kitenet.net> (Closes: #45961).

 -- Enrique Zanardi <ezanard@debian.org>  Tue,  5 Oct 1999 23:47:17 +0100

newt (0.30-1) unstable; urgency=low

  * New upstream version.

 -- Enrique Zanardi <ezanard@debian.org>  Thu, 10 Dec 1998 14:28:40 +0000

newt (0.25-3) frozen unstable; urgency=low

  * Back ported bugfix from newt-0.30 to make whiptail display messages
    properly. Without this fix, whiptail doesn't show the last word in a
    message.

 -- Enrique Zanardi <ezanard@debian.org>  Thu, 10 Dec 1998 12:26:13 +0000

newt (0.25-2) unstable; urgency=low

  * Excluded tcl and python wrappers. Added code to debian/rules and
    debian/control-snippet to build a new package, newt-scripting, when
    the wrappers are mature enough.

 -- Enrique Zanardi <ezanard@debian.org>  Mon,  3 Aug 1998 13:52:29 +0100

newt (0.25-1) unstable; urgency=low

  * New upstream version.

 -- Enrique Zanardi <ezanard@debian.org>  Thu, 30 Jul 1998 17:00:39 +0100

newt (0.21-6) unstable; urgency=low

  * debian/shlibs really fixed now.

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Wed,  4 Mar 1998 15:38:19 +0000

newt (0.21-5) unstable; urgency=low

  * Install shared lib mode 644.
  * debian/shlibs file fixed.
  * updated Standards-Version.

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Thu, 12 Feb 1998 11:44:44 +0000

newt (0.21-4) unstable; urgency=low

  * whiptail now has its own package, fixes: Bug#17476
  * newt0.21-dev now provides and conflicts newt-dev, fixes: Bug#17477
  * Added whiptail(1) manpage, fixes: Bug#16857
  * whiptail now uses full screen, fixes: Bug#17155
  * Defines the dependency on libc*-dev at build-time, fixes: Bug#17208

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Sat, 30 Jan 1998 20:14:09 +0000

newt (0.21-3) unstable; urgency=low

  * Defined newtTextboxAddLine.

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Sat, 10 Jan 1998 03:18:20 +0000

newt (0.21-2) unstable; urgency=low

  * Added patches by Bruce Perens:
  *  - whiptail don't make over-size windows.
  *  - whiptail will scroll the text and/or the menu to fit on the screen.
  *  - some variables now defined as const.

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Wed,  7 Jan 1998 13:42:34 +0000

newt (0.21-1) unstable; urgency=low

  * New upstream version.
  * Not included python support.

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Mon,  5 Jan 1998 16:56:29 +0000

newt (0.10-1) unstable; urgency=low

  * New package.

 -- Enrique Zanardi <ezanardi@molec1.dfis.ull.es>  Fri,  26 Dec 1997 18:58:38 +0000

